View Issue Details

IDProjectCategoryView StatusLast Update
0000544luatexluatex limitationpublic2011-04-12 11:06
ReporterMo-GulAssigned ToTaco 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionsuspended 
Product Version 
Target VersionFixed in Version0.66.0 
Summary0000544: ! No room for a new \write
DescriptionDear developers,

I gave LuaLaTeX on an actual MiKTeX a try [Version beta-0.60.2-2010100221 (MiKTeX 2.9) (rev 3736)] and ran into problems I also have when I use pdflatex. Running the attached dummy minimal gives

! No room for a new \write .
\alloc@ ...else \errmessage {No room for a new 0000002}
                                                  \fi \fi
l.48 \begin{document}
                     
?

Commenting one or more of the marked lines (% <--) shits the error message until if finally fanishes when all the marked lines are commented.

Could the number of writes be enlarged?


Best regards,
Stefan Pinnow
Steps To ReproduceJust run lualatex on the provided minimal.tex file.
TagsNo tags attached.

Activities

Mo-Gul

2010-12-29 12:08

reporter  

minimal.zip (52,766 bytes)

phi

2010-12-29 21:04

reporter   ~0000713

Last edited: 2010-12-31 11:43

View 2 revisions

I tried to patch LuaTeX to allow more write streams, but the number 16 is hard-coded at various distant places in the code, so that would be a major undertaking. The better solution is to patch LaTeX packages to use use Lua (which has no hard limits) if it is available.

Joseph has just written a blog post about write streams: http://www.texdev.net/2010/12/31/file-operation-limitations/

phi

2011-01-29 11:09

reporter   ~0000728

Markus Kohm claims to have written a package that reduces the number of needed write streams. It is not public yet, but you can ask him to let you test it:
http://www.komascript.de/node/1349

Taco

2011-02-10 10:07

administrator   ~0000743

We won't be fixing this until we reach the point where all internal limits will be removed

Taco

2011-04-12 11:06

administrator   ~0000813

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2010-12-29 12:08 Mo-Gul New Issue
2010-12-29 12:08 Mo-Gul File Added: minimal.zip
2010-12-29 21:04 phi Note Added: 0000713
2010-12-31 11:43 phi Note Edited: 0000713 View Revisions
2011-01-29 11:09 phi Note Added: 0000728
2011-02-10 10:07 Taco Note Added: 0000743
2011-02-10 10:07 Taco Status new => resolved
2011-02-10 10:07 Taco Resolution open => suspended
2011-02-10 10:07 Taco Assigned To => Taco
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000813
2011-04-12 11:06 Taco Status resolved => closed